# Upload the image to an openstack server
unset http_proxy

# The OpenStack rc file to be source to define the necessary OS_* env vars
OS_RC_FILE=$1

# The image file generated by packer
IMAGE_FILE=$2

IMAGE_NAME="$(basename -- ${IMAGE_FILE})"
IMAGE_NAME=${IMAGE_NAME%.*}

# The name of the project
PROJECT=$3

# The RAM allocated to this VM
MEMORY=$4

# The number of cpus allocated to this VM
CPUS=$5

# The size of the disk allocated to this VM
DISK_SIZE=$6

# Soure the OpenStack rc file
source ${OS_RC_FILE}

# Create the image
openstack image create ${IMAGE_NAME} \
                       --public \
                       --project "${PROJECT}" \
                       --min-ram ${MEMORY} \
                       --min-disk ${DISK_SIZE} \
                       --disk-format qcow2 \
                       --file ${IMAGE_FILE}
